%global pypi_name python3-memcached

Name:           %{pypi_name}
Version:        1.51
Release:        3%{?dist}
Summary:        Pure python3 memcached client

License:        Python
URL:            https://github.com/eguven/python3-memcached
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
Python3 port for pure python memcached client library, ported and being
kept up to date by https://github.com/eguven

Please report issues and submit code
changes to the github repository at:
https://github.com/eguven/python3-memcached

Below is the original README content.

This package was originally written by Evan Martin of Danga.
Sean Reifschneider of tummy.com, ltd. has taken over ...


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf python3_memcached.egg-info

# remove bang-path
sed -i '/#!\/usr\/bin\/env python3/d' memcache.py



%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}


%files
%doc README
%{python3_sitelib}/memcache.py*
%{python3_sitelib}/python3_memcached-%{version}-py?.?.egg-info
%{python3_sitelib}/__pycache__/*

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.51-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Kalev Lember <kalevlember@gmail.com> - 1.51-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Aug 16 2013 Matthias Runge <mrunge@redhat.com> - 1.51-1
- Initial package.
